Skip to content
API referencePlatformPlatform billing

Update_billing_settings

PATCH
/platform/v1/billing/settings

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/platform/v1/billing/settings" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{}'
{  "cancellation_discount_percent": 0,  "cancellation_pause_days": 0,  "cancellation_retention_offers": true,  "consumer_no_subscription_policy": null,  "default_currency": "string",  "trial_days_offered": 0,  "trial_eligibility_policy": "never"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}